<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Tahun Akademik</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form role="form" th:action="@{/aktifitas/penjadwalan_kegiatan_rutin/save}" th:object="${penjadwalan}" method="post">
            <div class="box-header with-border">
                <h3 class="box-title">Tahun Akademik</h3>
            </div>

            <div class="box-body">
                <input type="hidden" name="id" th:field="*{id}">

                <div class="form-group">
                    <label>Jenis Kegiatan</label>
                    <select class="form-control select2" name="kegiatan" th:field="*{kegiatan.id}" id="kegiatan" style="width: 100%;">
                        <option th:each="x : ${kegiatan}"
                                th:text="${'('+ x.kodeKegiatan +')'  + '       -       ' +  x.namaKegiatan}"
                                th:value="${x.id}">Kegiatan</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Ruangan</label>
                    <select class="form-control select2" name="kegiatan" th:field="*{ruangan.id}" id="ruangan" style="width: 100%;">
                        <option th:each="x : ${ruangan}"
                                th:text="${'('+ x.kodeRuang +')'  + '       -       ' +  x.namaRuang}"
                                th:value="${x.id}">Ruangan</option>
                    </select>
                </div>

                <div class="form-group">
                    <label>Jenis Kelamin</label>
                    <select th:field="*{jenisKelamin}" class="form-control">
                        <option value="PRIA">Pria</option>
                        <option value="WANITA">Wanita</option>
                        <option value="GABUNGAN">Gabungan</option>
                    </select>
<!--                    <small class="with-errors" th:if="${#fields.hasErrors('jenisKelamin')}"-->
<!--                           th:errors="*{jenisKelamin}"></small>-->
                </div>

                <div class="form-group">
                    <label>Deskripsi Kegiatan</label>
                    <textarea th:field="*{deskripsiKegiatan}" class="form-control" name="address" id="address" rows="3"
                              placeholder="Deskripsi Kegiatan ..."></textarea>
                </div>

                <div class="form-group">
                    <label>Tanggal Pelaksanaan</label>
                    <div class="input-group date">
                        <div class="input-group-addon">
                            <i class="fa fa-calendar"></i>
                        </div>
                        <input type="text" th:field="*{tanggalPelaksanaanString}" class="form-control pull-right" id="tglPelaksanaan">
                    </div>
                </div>

                <div class="form-group">
                    <label>Jam Mulai</label>
                    <input type="time" th:field="*{jamMulai}" class="form-control" name="jamMulai" id="jamMulai" placeholder="Waktu mulai ...">
<!--                    <span th:if="${#fields.hasErrors('jamMulai')}" th:errors="*{jamMulai}"-->
<!--                          class="error invalid-feedback col-md-12" style="display: block;"></span>-->
                </div>
            </div>
            <div class="box-footer clearfix">
                <a th:href="@{/aktifitas/penjadwalan_kegiatan_rutin}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>
        </form>
    </div>
</div>
<div layout:fragment="enableJavascript">
    <script>
        $(document).ready(function () {
            $('#tglPelaksanaan').datepicker({
                autoclose: true
            })

        });
    </script>
</div>
</body>
</html>